tigase.vhosts

## Class AbstractVHostItemExtension<T extends AbstractVHostItemExtension<T>>

- java.lang.Object
- - tigase.vhosts.VHostItemExtension<T>
  - - tigase.vhosts.AbstractVHostItemExtension<T>

- All Implemented Interfaces:
    VHostItemExtensionIfc<T>
  Direct Known Subclasses:
    BasicComponent.ServerInfoVHostItemExtension, BruteForceLockerBean.BruteForceLockerVHostExtension, ClientTrustManagerFactory.ClientTrustVHostItemExtension, PresenceSubscription.PresenceSubscriptionVHostItemExtension, SeeOtherHost.SeeOtherHostVHostItemExtension, SSLContextContainer.HardenedModeVHostItemExtension

      public abstract class AbstractVHostItemExtension<T extends AbstractVHostItemExtension<T>>
      extends VHostItemExtension<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractVHostItemExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addBooleanFieldWithDefaultToCommand(Element commandEl, String var, String label, Boolean value, boolean forDefault)`

    - ### Methods inherited from class tigase.vhosts.VHostItemExtension

      `mergeWithDefaults, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tigase.vhosts.VHostItemExtensionIfc

      `addCommandFields, getId, initFromCommand, initFromElement, toDebugString, toElement`

- - ### Constructor Detail

    - #### AbstractVHostItemExtension

          public AbstractVHostItemExtension()

  - ### Method Detail

    - #### addBooleanFieldWithDefaultToCommand

          protected void addBooleanFieldWithDefaultToCommand(Element commandEl,
                                                             String var,
                                                             String label,
                                                             Boolean value,
                                                             boolean forDefault)

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.